BTRACE(8)

NAME
btrace - bug tracer

SYNOPSIS
btrace [-lnv] programfile | -e program [argument ...]

DESCRIPTION
The btrace utility provides an interface to inspect the internals of the system and programs. It interprets the bt(5) program read from the programfile, passing the optional arguments to it, and communicates with the dynamic tracer device using the interface described in dt(4).

The options are as follows:

-e program
    Execute the program specified as the option argument instead of reading a program from a file. In this case, all non-option arguments are passed through to the program.

-l  List all available probes.

-n  No action. Parse the program and then exit.

-v  Verbose mode. Causes btrace to print debugging messages. Multiple -v options increase the verbosity. The maximum is 2.

FILES
/usr/share/btrace/*
    collection of useful btrace programs

EXIT STATUS

SEE ALSO
dt(4), bt(5)

HISTORY
The btrace utility first appeared in OpenBSD 6.7.

AUTHORS
Martin Pieuchot <mpi@openbsd.org>